> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registry Settings

> Get platform registry settings.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/settings/registry
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/settings/registry:
    get:
      tags:
        - admin
        - admin:settings
      summary: Get Registry Settings
      description: Get platform registry settings.
      operationId: admin-get_registry_settings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformRegistrySettingsRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    PlatformRegistrySettingsRead:
      properties:
        git_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Repo Url
        git_repo_package_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Repo Package Name
        git_allowed_domains:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
          title: Git Allowed Domains
      type: object
      title: PlatformRegistrySettingsRead
      description: Platform registry settings response.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````